function VNFieldColorAdapterExt(m_fldID) {
	
	function OnAfterLoadRec() {
		var oFrmFldVal=new VNFormField(g_VWS.ViewFields().Field(865),document.Record.document).GetValue();
		var colVals = ["Orange","Limegreen","Violet","Chocolate","Red","Blue","Magenta","Violet","Violet","Violet","Blue","Purple"];
		var objCurSelected = document.Record.document.getElementById("currentColor");
		var assignedColor = document.Record.document.getElementById("Status-Color");
		
		if (objCurSelected == null || oFrmFldVal == null) {
			
		} else {
			for (i=1;i<=colVals.length;i++) {
				if(oFrmFldVal == i) {
					if(colVals[i-1] == null) {
						if(colVals[i-1] > oFrmFldVal) {
							console.log("Alert:	You have more color values than the possible amount of values.");
						}
						console.log("Alert:	You haven't assigned enough color values to the corresponding amount of possible values.");
					} else {
						objCurSelected.style.color = colVals[(i-1)];
						console.log("The current Value is: " + oFrmFldVal + " with the assigned color being: " + colVals[i-1] + ".");
						assignedColor.value = colVals[(i-1)];
					}
				} else {}
			}	
		}
	}
	this.OnAfterLoadRec = OnAfterLoadRec;
	if (m_fldID == null) {
	} else {
		this.Name="VNFieldColorAdapterExt " + m_fldID;
		WriteConsole("VNFieldColorAdapter: Initializing the extension " + this.Name);
	}
}